[system-tests] Update upgrade test cases for data-driven fuel upgrade(+rollback) from 7.0 to 8.0

Bug #1546943 reported by Vladimir Khlyunev on 2016-02-18
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Fuel for OpenStack
High
Vladimir Khlyunev
7.0.x
High
Vladimir Khlyunev
8.0.x
High
Vladimir Khlyunev
Mitaka
High
Vladimir Khlyunev

Bug Description

We should update all upgrade tests because the upgrade procedure was changed.

Work items:
1) Remove old upgrade&rollback tests and related code
2) Implement common methods for executing upgrade
3) Implement new scenarios for upgrade. All scenarios should include following cases/steps:
- Base deployment of 7.0 cluster (non-ha is preferable - it will be scaled up later)
- Backup creation using fuel-octane
- Re-installation of fuel master node (using 8.0 iso for upgrade or 7.0 iso for rollback)
- Restoration of backup using fuel-octane
- Scale existing cluster
- Reset and redeploy cluster
- Deployment of new cluster

summary: - [system-tests] Update upgrade test cases for data-driven fuel upgrade
- from 7.0 to 8.0
+ [system-tests] Update upgrade test cases for data-driven fuel
+ upgrade(+rollback) from 7.0 to 8.0
description: updated
description: updated
Changed in fuel:
status: Confirmed → In Progress

Reviewed: https://review.openstack.org/281224
Committed: https://git.openstack.org/cgit/openstack/fuel-qa/commit/?id=4daa44e2b8f158ce3e592081530f94a1fb311567
Submitter: Jenkins
Branch: master

commit 4daa44e2b8f158ce3e592081530f94a1fb311567
Author: Vladimir Khlyunev <email address hidden>
Date: Wed Feb 17 15:11:55 2016 +0300

    Remove obsolete upgrade code

    Since upgrade procedure were changed and tarball-based upgrade is no longer available
    we can remove all tarbal-related code from fuel-qa

    Change-Id: Id62ad622a42bd35aeeee866cb20651e7086c7720
    Partial-bug:1546943

tags: removed: non-release

Reviewed: https://review.openstack.org/293332
Committed: https://git.openstack.org/cgit/openstack/fuel-qa/commit/?id=207f06ecf11ebe41d090ebb5232a815a3418e87b
Submitter: Jenkins
Branch: master

commit 207f06ecf11ebe41d090ebb5232a815a3418e87b
Author: Vladimir Khlyunev <email address hidden>
Date: Wed Mar 16 12:10:56 2016 +0300

    Disable OS upgrade tests

    The OS upgrade procedure was changed and actual code
    contains outdated upgrade procedure which uses tarball-based upgrade.
    We should disable this tests until new upgrade of OS will be implemented

    Change-Id: Ide45d1c03114e472c7f83871dac1ba54536575e0
    Partial-bug:1546943
    Related-bug:1556791

Reviewed: https://review.openstack.org/292825
Committed: https://git.openstack.org/cgit/openstack/fuel-qa/commit/?id=020a0ba94132dfc65580e2f36bf4d2770ea74de7
Submitter: Jenkins
Branch: stable/8.0

commit 020a0ba94132dfc65580e2f36bf4d2770ea74de7
Author: Vladimir Khlyunev <email address hidden>
Date: Wed Feb 17 15:11:55 2016 +0300

    Remove obsolete upgrade code

    Since upgrade procedure were changed and tarball-based upgrade is no longer available
    we can remove all tarbal-related code from fuel-qa

    Change-Id: Id62ad622a42bd35aeeee866cb20651e7086c7720
    Partial-bug:1546943
    (cherry picked from commit 4daa44e2b8f158ce3e592081530f94a1fb311567)

Reviewed: https://review.openstack.org/280605
Committed: https://git.openstack.org/cgit/openstack/fuel-qa/commit/?id=8b9bac01e99effac364491ba9f12e0f2f17b91ea
Submitter: Jenkins
Branch: master

commit 8b9bac01e99effac364491ba9f12e0f2f17b91ea
Author: Vladimir Khlyunev <email address hidden>
Date: Tue Feb 16 13:47:43 2016 +0300

    Add tests for new data-driven upgrade procedure

    The upgrade procedure was completely changed because
    of changing base OS for Fuel (Centos7). It leads to
    complete refactoring of all upgrade-related code
    including tests

    This commit should be backportable to 7.0 branch
    because we need to prepare some 7.0 clusters.
    This is the reason of rejecting SSHManager
     _for this commit_. It will be integrated later.

    Change-Id: I1932c28beb9a7101019a02d4cd5245a1a0996a05
    Partial-bug:1546943

Reviewed: https://review.openstack.org/302139
Committed: https://git.openstack.org/cgit/openstack/fuel-qa/commit/?id=4b1e7a6e5b5fb4c370fce8c092116cf23a6aab0d
Submitter: Jenkins
Branch: stable/7.0

commit 4b1e7a6e5b5fb4c370fce8c092116cf23a6aab0d
Author: Vladimir Khlyunev <email address hidden>
Date: Tue Feb 16 13:47:43 2016 +0300

    Add tests for new data-driven upgrade procedure

    The upgrade procedure was completely changed because
    of changing base OS for Fuel (Centos7). It leads to
    complete refactoring of all upgrade-related code
    including tests

    This commit should be backportable to 7.0 branch
    because we need to prepare some 7.0 clusters.
    This is the reason of rejecting SSHManager
     _for this commit_. It will be integrated later.

    Change-Id: I1932c28beb9a7101019a02d4cd5245a1a0996a05
    Partial-bug:1546943

Reviewed: https://review.openstack.org/302130
Committed: https://git.openstack.org/cgit/openstack/fuel-qa/commit/?id=168d6df2b416c3aea9ef800a01e46691f76cf026
Submitter: Jenkins
Branch: stable/8.0

commit 168d6df2b416c3aea9ef800a01e46691f76cf026
Author: Vladimir Khlyunev <email address hidden>
Date: Tue Feb 16 13:47:43 2016 +0300

    Add tests for new data-driven upgrade procedure

    The upgrade procedure was completely changed because
    of changing base OS for Fuel (Centos7). It leads to
    complete refactoring of all upgrade-related code
    including tests

    This commit should be backportable to 7.0 branch
    because we need to prepare some 7.0 clusters.
    This is the reason of rejecting SSHManager
     _for this commit_. It will be integrated later.

    Change-Id: I1932c28beb9a7101019a02d4cd5245a1a0996a05
    Partial-bug:1546943
    (cherry picked from commit 8b9bac01e99effac364491ba9f12e0f2f17b91ea)

Dmitry Pyzhov (dpyzhov) on 2016-04-19
Changed in fuel:
milestone: 9.0 → 10.0
Alex Ermolov (aermolov) on 2016-05-23
tags: added: non-release
Changed in fuel:
status: In Progress → Fix Committed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers